petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSAdjointStep

Steps one time step backward in the adjoint run

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointStep(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### See Also

TSAdjointSetUp(), TSAdjointSolve()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c

### Implementations

TSAdjointStep_RK in src/ts/impls/explicit/rk/rk.c
TSAdjointStep_Theta in src/ts/impls/implicit/theta/theta.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages